#
# spec file for package python-piwikapi
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-piwikapi
Version:        0.3
Release:        2.1
Url:            https://github.com/nkuttler/python-piwikapi
Summary:        A Python implementation of the Piwik tracking and analytics APIs
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/piwikapi/piwikapi-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
python-piwikapi is a Python implementation of the Piwik tracking and the 
analytics API. You can use it to track visitors, ecommerce, actions, goals, 
generate reports and much more.

%prep
%setup -q -n piwikapi-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Mar 27 2013 mlin@suse.com
- Update to version 0.3
  * Python 3.2 support
  * Switch to hashlib
  * Test ‘builds’ on travis
* Mon Jan 21 2013 mlin@suse.com
- Update to version 0.2.2
  * Don’t require anonymous view access for unit tests to pass
  * Test against Piwik 1.10
  * Fix readthedocs build
* Wed Dec 12 2012 mlin@suse.com
- fix license as mapping for spdx
* Wed Dec 12 2012 mlin@suse.com
- initial import from 0.2.1
